# Enable Signed Audit

## Overview

Enabling signed audit for a module ensures that all transactions - creates, updates, deletes - are recorded in a digitally signed fashion. Learn more about the signed [audit service](/platform/platform/core-services/audit-service.md) here.

{% hint style="info" %}
Enabled signed audit is optional but highly recommended to ensure data security.
{% endhint %}

## Steps

### Enable Signed Audit

1. Add the following lines of code to the birth registration persister after the `fromTopic` attribute under `mappings`:

{% code lineNumbers="true" %}

```yaml
isTransaction: true
isAuditEnabled: true
module: BTR
objecIdJsonPath: $.id
tenantIdJsonPath: $.tenantId
transactionCodeJsonPath: $.applicationNumber
auditAttributeBasePath: $.BirthRegistrationApplications
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digit.org/platform/guides/developer-guide/backend-developer-guide/section-2-integrate-persister-and-kafka/enable-signed-audit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
